package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: PointQueryReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:42
 */
@Data
public class Nft029PointQueryResp implements Serializable {
    /**
     * 积分数量
     */
    private Long count;

    private static final Nft029PointQueryResp obj = new Nft029PointQueryResp();
    public static Nft029PointQueryResp getNew() {
        try {
            return (Nft029PointQueryResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft029PointQueryResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
